%global module_name audit
%global icingaweb_min_version 2.9.0
%global basedir %{_datadir}/icingaweb2/modules/%{module_name}

Name:           icingaweb2-module-%{module_name}
Version:        1.0.2
Release:        1%{?dist}
Summary:        Audit - Icinga Web 2 module
Group:          Applications/System
License:        GPLv2+
URL:            https://icinga.com
Source0:        https://github.com/Icinga/icingaweb2-module-%{module_name}/archive/v%{version}.tar.gz
BuildArch:      noarch
Requires:       icingaweb2 >= %{icingaweb_min_version}
Requires:       php-Icinga >= %{icingaweb_min_version}


%description
Audit logging module for Icinga Web 2.


%prep
%setup -q


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{basedir}
cp -r * %{buildroot}%{basedir}


%clean
rm -rf %{buildroot}


%preun
set -e
if [ $1 == 0 ]; then
    echo "Disabling icingaweb2 module '%{module_name}'"
    rm -f /etc/icingaweb2/enabledModules/%{module_name}
fi
exit 0


%files
%doc README.md LICENSE
%defattr(-,root,root)
%{basedir}


%changelog
